<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="15dp"
        android:background="@drawable/shape_c3a165_ead6a7_top_10"
        app:layout_constraintDimensionRatio="h,330:121"
        android:layout_width="match_parent"
        android:layout_height="0dp">

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:layout_width="36dp"
            android:layout_height="36dp"/>

        <TextView
            android:id="@+id/tvLevel"
            tools:text="5"
            android:textSize="16dp"
            android:textColor="#fff"
            android:drawablePadding="5dp"
            android:layout_marginStart="10dp"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            app:layout_constraintStart_toEndOf="@+id/ivAvatar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@mipmap/level"/>


        <TextView
            android:text="@string/rich_level"
            android:textSize="12dp"
            android:textColor="#F1E3CB"
            android:layout_marginStart="10dp"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            app:layout_constraintStart_toEndOf="@+id/tvLevel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/tvGetExp"
            android:background="@drawable/shape_white_stroke"
            android:text="@string/get_exp"
            android:padding="5dp"
            android:textSize="12dp"
            android:textColor="#fff"
            android:layout_marginEnd="15dp"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>


        <FrameLayout
            android:id="@+id/flStart"
            android:layout_marginStart="22dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginBottom="33dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:background="@mipmap/levelbg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

            <TextView
                android:id="@+id/tvStart"
                android:textSize="9dp"
                android:textColor="#fff"
                tools:text="5"
                android:layout_marginBottom="2dp"
                android:layout_gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

        </FrameLayout>


        <ProgressBar
            android:id="@+id/progressBar"
            tools:progress="50"
            style="?android:attr/progressBarStyleHorizontal"
            android:progressDrawable="@drawable/progress_bar"
            app:layout_constraintTop_toTopOf="@+id/flStart"
            app:layout_constraintBottom_toBottomOf="@+id/flStart"
            app:layout_constraintStart_toEndOf="@+id/flStart"
            app:layout_constraintEnd_toStartOf="@+id/flEnd"
            android:layout_width="0dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:layout_height="5dp"/>


        <FrameLayout
            android:id="@+id/flEnd"
            android:layout_marginEnd="22dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginBottom="33dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:background="@mipmap/levelbg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

            <TextView
                android:id="@+id/tvEnd"
                android:textSize="9dp"
                android:textColor="#fff"
                tools:text="5"
                android:layout_marginBottom="2dp"
                android:layout_gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

        </FrameLayout>

        <TextView
            android:id="@+id/tvNeedToExp"
            android:layout_marginTop="10dp"
            android:text="@string/level_up_exp"
            android:textSize="9dp"
            android:textColor="#F1E3CB"
            app:layout_constraintStart_toStartOf="@+id/progressBar"
            app:layout_constraintTop_toBottomOf="@+id/progressBar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:id="@+id/fl"
        app:layout_constraintTop_toBottomOf="@+id/cl"
        android:background="#4B4E5E"
        android:layout_width="match_parent"
        android:layout_height="36dp">

        <TextView
            android:id="@+id/tvKnowDetail"
            android:textColor="#fff"
            android:textSize="11dp"
            android:visibility="gone"
            android:drawablePadding="5dp"
            android:drawableEnd="@mipmap/more_small"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="15dp"
            android:text="@string/know_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
    </FrameLayout>


    <TextView
        android:id="@+id/tv"
        android:textSize="16dp"
        android:textColor="#000"
        android:text="@string/level_privilege"
        android:layout_marginTop="25dp"
        app:layout_constraintTop_toBottomOf="@+id/fl"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tv2"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@+id/tv"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:textSize="12dp"
        android:textColor="#868686"
        android:text="@string/exp_explain"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>



    <ImageView
        android:id="@+id/iv1"
        android:layout_marginTop="15dp"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="15dp"
        app:layout_constraintTop_toBottomOf="@+id/tv2"
        android:background="@mipmap/bg_level_medal"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

    <TextView
        app:layout_constraintStart_toStartOf="@+id/iv1"
        app:layout_constraintTop_toTopOf="@+id/iv1"
        app:layout_constraintBottom_toBottomOf="@+id/iv1"
        android:layout_marginStart="30dp"
        android:textSize="16dp"
        android:textColor="#fff"
        android:text="@string/level_medal"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <ImageView
        android:id="@+id/iv2"
        android:layout_marginTop="15dp"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="15dp"
        app:layout_constraintTop_toBottomOf="@+id/iv1"
        android:background="@mipmap/bg_show_first"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

    <TextView
        app:layout_constraintStart_toStartOf="@+id/iv2"
        app:layout_constraintTop_toTopOf="@+id/iv2"
        app:layout_constraintBottom_toBottomOf="@+id/iv2"
        android:layout_marginStart="30dp"
        android:textSize="16dp"
        android:textColor="#fff"
        android:text="@string/show_first"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <ImageView
        android:id="@+id/iv3"
        android:layout_marginTop="15dp"
        android:layout_marginStart="15dp"
        android:layout_marginEnd="15dp"
        app:layout_constraintTop_toBottomOf="@+id/iv2"
        android:background="@mipmap/bg_vip_server"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

    <TextView
        app:layout_constraintStart_toStartOf="@+id/iv3"
        app:layout_constraintTop_toTopOf="@+id/iv3"
        app:layout_constraintBottom_toBottomOf="@+id/iv3"
        android:layout_marginStart="30dp"
        android:textSize="16dp"
        android:textColor="#fff"
        android:text="@string/vip_server"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

</androidx.constraintlayout.widget.ConstraintLayout>